
Foreman - Bug #8546

New ENC output for iinterfaces clashes with Facter

12/02/2014 01:02 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Facts   

Target version: 1.7.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1993

  

Description

Because we added params['interfaces'] to the ENC, we overwrite $::interfaces from Puppet's point of view. This could have

consequences for people using $::interfaces in their puppet code.

Proposal for a quick fix is to namespace it to params['foreman_interfaces'] (and subnets too, for consistency).

Patch incoming, thanks to @Shaun Martin for reporting

Related issues:

Related to Foreman - Feature #2089: Expose network configuration via ENC Closed 01/02/2013

Associated revisions

Revision d3b7f426 - 12/03/2014 07:10 AM - Greg Sutcliffe

Fixes #8546 - Namespace interfaces and subnets to avoid a facts clash

Revision b18b21d3 - 12/15/2014 10:00 AM - Greg Sutcliffe

Fixes #8546 - Namespace interfaces and subnets to avoid a facts clash

(cherry picked from commit d3b7f426959b7195ceedac1b9e719bfd1563af02)

History

#1 - 12/02/2014 01:08 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1993 added

- Pull request deleted ()

#2 - 12/03/2014 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#3 - 12/03/2014 03:48 AM - Dominic Cleal

- Related to Feature #2089: Expose network configuration via ENC added

#4 - 12/03/2014 08:01 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d3b7f426959b7195ceedac1b9e719bfd1563af02.
